Experiment not uploading to Pavlovia

Hi there,

I’m trying to upload an experiment to Pavlovia and I’m constantly given the same error:

Traceback (most recent call last):
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\pavlovia_ui\project.py”, line 161, in submitChanges
self.parent.project = self.project
AttributeError: ‘NoneType’ object has no attribute ‘project’

Any idea what this might be? The experiment runs fine otherwise. Thank you!

I was facing the same problem. Based on your suggestion, I have tried the latest version which worked.

1 Like

Thanks @wen and @sandersbud4! I’ve now updated to the latest version, however when I try to sync the project to the online one, I now get this error:

Traceback (most recent call last):
File “C:\Users\vveri\AppData\Local\Programs\PsychoPy\lib\site-packages\gitlab\exceptions.py”, line 304, in wrapped_f
return f(*args, **kwargs)
File “C:\Users\vveri\AppData\Local\Programs\PsychoPy\lib\site-packages\gitlab\mixins.py”, line 112, in get
server_data = self.gitlab.http_get(path, **kwargs)
File “C:\Users\vveri\AppData\Local\Programs\PsychoPy\lib\site-packages\gitlab\client.py”, line 662, in http_get
result = self.http_request(
File “C:\Users\vveri\AppData\Local\Programs\PsychoPy\lib\site-packages\gitlab\client.py”, line 628, in http_request
raise gitlab.exceptions.GitlabHttpError(
gitlab.exceptions.GitlabHttpError: 404: 404 Project Not Found

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “C:\Users\vveri\AppData\Local\Programs\PsychoPy\lib\site-packages\psychopy\projects\pavlovia.py”, line 633, in project
self._project = self.session.gitlab.projects.get(self.id)
File “C:\Users\vveri\AppData\Local\Programs\PsychoPy\lib\site-packages\gitlab\v4\objects\projects.py”, line 782, in get
return cast(Project, super().get(id=id, lazy=lazy, **kwargs))
File “C:\Users\vveri\AppData\Local\Programs\PsychoPy\lib\site-packages\gitlab\exceptions.py”, line 306, in wrapped_f
raise error(e.error_message, e.response_code, e.response_body) from e
gitlab.exceptions.GitlabGetError: 404: 404 Project Not Found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\vveri\AppData\Local\Programs\PsychoPy\lib\site-packages\psychopy\app\pavlovia_ui\menu.py”, line 114, in onSync
syncProject(parent=self.parent, project=self.parent.project)
File “C:\Users\vveri\AppData\Local\Programs\PsychoPy\lib\site-packages\psychopy\app\pavlovia_ui\project.py”, line 720, in syncProject
if not project.localRoot:
File “C:\Users\vveri\AppData\Local\Programs\PsychoPy\lib\site-packages\psychopy\projects\pavlovia.py”, line 716, in localRoot
if self.project.path_with_namespace in knownProjects:
File “C:\Users\vveri\AppData\Local\Programs\PsychoPy\lib\site-packages\psychopy\projects\pavlovia.py”, line 636, in project
raise KeyError(f"Could not find GitLab project with id {self.id}.")
KeyError: ‘Could not find GitLab project with id 205827.’

I wish I knew how to read all this but I’m absolutely clueless. Any ideas what it might be? Thanks again!

Oh hey, I’ve just been browsing through similar posts on the forum and I came across someone’s suggestion to delete the .git folder. I have done so, it now works flawlessly! Thanks again, I’m really grateful for this online community. :smiling_face_with_three_hearts:

1 Like